A valid request URL is required to generate request examples{
"id": "<string>",
"provider_key": "<string>",
"display_name": "<string>",
"type": "Local",
"scope": "SYSTEM",
"config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}Update a vault
Updates an external provider or the Standard and Encrypted environment variable patterns for the built-in System provider. The type, scope, and provider_key are immutable. The Local provider cannot be updated. Requires a Sync admin.
A valid request URL is required to generate request examples{
"id": "<string>",
"provider_key": "<string>",
"display_name": "<string>",
"type": "Local",
"scope": "SYSTEM",
"config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}Authorizations
A Sync user auth token. Generate one via POST /v2/users/generate-token.
Path Parameters
Body
Provider configuration. For the built-in System vault, standardPatterns and encryptedPatterns update the comma-separated environment variable patterns. Both may be empty to disable environment variable imports. For the System vault, all other config fields are rejected. For external providers, sensitive fields (for example clientSecret) are encrypted at rest and returned masked (********) in responses.
Response
The updated vault.
Globally unique reference key. Immutable after create.
Vault provider type.
Local, System, AzureKeyVault Vault scope. Registrations use system scope.
SYSTEM Provider configuration. Non-sensitive fields are returned as stored; sensitive fields (for example clientSecret) are returned masked (********). Empty for the Local vault. For the built-in System vault, standardPatterns and encryptedPatterns contain comma-separated environment variable names or wildcard patterns.